# cosmodb

`cosmodb` is an open-source, lightweight, and scalable database library designed for future integration with the `cosmotalker` library.

---

## Features

- Open-source project — anyone can contribute.
- Tailored database structure for Cosmotalker.
- Built for extensibility and collaboration.

---

## Licensing

This library is **free to use for non-commercial purposes**.

**For commercial use**, please contact the developer for collaboration.

---

## Author

Bhuvanesh M  
Visit [https://bhuvaneshm.in](https://bhuvaneshm.in) for more details.

---


## 🌟 Introducing the Brand New `get()` Function in the `cosmodb` Python Library!

🚀 **CosmoDB v0.0.2** now ships with the ultra-fast, knowledge-packed `get()` function — delivering instant, fact-rich responses to your queries in milliseconds!

---

### ✨ Why `get()` is a Cosmic Leap

- 🧠 **Smart Retrieval**: Pulls the most relevant, concise information on celestial objects and concepts.
- ⚡ **Speed of Light**: Answers in ~0.0007 seconds, thanks to optimized indexing and caching.
- 🌐 **Versatile Queries**: Fetch info on planets, stars, or collections like:
  - `cosmodb.get("sun")`
  - `cosmodb.get("mars")`
  - `cosmodb.get("solar system")`
- 📴 **Offline-Ready**: Local cache ensures access even without the internet.

---

### 🧪 Example Usage

```python
import cosmodb

print(cosmodb.get("sun"))

